curl --request GET \
--url 'https://api.stateset.com/api/v1/gl/accounts/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"account_number": "string",
"account_sub_type": null,
"account_type": "string",
"created_at": "string",
"currency": "string",
"current_balance": "string",
"description": null,
"id": "string",
"is_header": true,
"is_posting": true,
"name": "string",
"normal_balance": "string",
"parent_account_id": null,
"status": "string"
}
Get an account
Get an account
GET
/
api
/
v1
/
gl
/
accounts
/
{id}
curl --request GET \
--url 'https://api.stateset.com/api/v1/gl/accounts/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"account_number": "string",
"account_sub_type": null,
"account_type": "string",
"created_at": "string",
"currency": "string",
"current_balance": "string",
"description": null,
"id": "string",
"is_header": true,
"is_posting": true,
"name": "string",
"normal_balance": "string",
"parent_account_id": null,
"status": "string"
}
Path parameters
string
required
GL account ID
Responses
GlAccountResponse
ErrorBody
curl --request GET \
--url 'https://api.stateset.com/api/v1/gl/accounts/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"account_number": "string",
"account_sub_type": null,
"account_type": "string",
"created_at": "string",
"currency": "string",
"current_balance": "string",
"description": null,
"id": "string",
"is_header": true,
"is_posting": true,
"name": "string",
"normal_balance": "string",
"parent_account_id": null,
"status": "string"
}
โI